Questions about: sublime-text

I've been having a problem setting sublime text 2 as the core. editor with git. I've read through every post I could find addressing the problem, but still nothing is working for me